/*--------------------------------------------------------------------------
 *  Copyright 2008 utgenome.org
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *--------------------------------------------------------------------------*/
//--------------------------------------
// utgb-shell Project
//
// Compile.java
// Since: Jan 15, 2008
//
// $URL: http://svn.utgenome.org/utgb/tags/utgb/utgb-shell/utgb-shell-1.2.9/src/main/java/org/utgenome/shell/Compile.java $ 
// $Author: leo $
//--------------------------------------
package org.utgenome.shell;

import org.xerial.util.StringUtil;
import org.xerial.util.opt.OptionParser;
import org.xerial.util.opt.OptionParserException;

/**
 * 
 * A UTGBShell sub command for compiling java source codes with Maven
 * 
 * @author leo
 * 
 */
public class Compile extends UTGBShellCommandBase {

	@Override
	public void execute(String[] args) throws UTGBShellException {

		OptionParser parser = new OptionParser(this);
		try {
			parser.parse(args);
		}
		catch (OptionParserException e) {
			throw new UTGBShellException(e);
		}

		String commandLine = "compile war:exploded" + StringUtil.join(parser.getUnusedArguments(), " ");
		maven(commandLine);
	}

	@Override
	public String name() {
		return "compile";
	}

	public String getDetailedDescription() {
		return loadUsage("help-compile.txt");
	}

	public String getOneLinerDescription() {
		return "complie java source codes";
	}

	public String getOptionList() {
		return loadUsage("help-maven-options.txt");
	}

}
