/*--------------------------------------------------------------------------
 *  Copyright 2008 utgenome.org
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *--------------------------------------------------------------------------*/
//--------------------------------------
// utgb-shell Project
//
// UTGBShellCommand.java
// Since: Jan 9, 2008
//
// $URL: http://svn.utgenome.org/utgb/tags/utgb/utgb-shell/utgb-shell-1.2.9/src/main/java/org/utgenome/shell/UTGBShellCommand.java $ 
// $Author: leo $
//--------------------------------------
package org.utgenome.shell;

import org.utgenome.shell.UTGBShell.UTGBShellOption;

/**
 * A common interface of UTGB Shell subcommands
 * 
 * @author leo
 */
public interface UTGBShellCommand extends Comparable<UTGBShellCommand> {

	public String name();

	public String getOneLinerDescription();

	public String getDetailedDescription();

	public String getOptionList();

	public void execute(UTGBShellOption globalOption, String[] args) throws UTGBShellException;

	public void execute(String[] args) throws UTGBShellException;

}
